package cn.com.infosec.mobile.android.xlog.formatter.stacktrace;

import android.support.annotation.Keep;
import cn.com.infosec.mobile.android.xlog.internal.SystemCompat;

@Keep
public class DefaultStackTraceFormatter implements StackTraceFormatter {
   public String format(StackTraceElement[] stackTrace) {
      StringBuilder var4;
      var4 = new StringBuilder.<init>(256);
      if (stackTrace != null && stackTrace.length != 0) {
         if (stackTrace.length == 1) {
            return "\t─ " + stackTrace[0].toString();
         } else {
            int var2 = 0;

            for(int var3 = stackTrace.length; var2 < var3; ++var2) {
               if (var2 != var3 - 1) {
                  var4.append("\t├ ");
                  var4.append(stackTrace[var2].toString());
                  var4.append(SystemCompat.lineSeparator);
               } else {
                  var4.append("\t└ ");
                  var4.append(stackTrace[var2].toString());
               }
            }

            return var4.toString();
         }
      } else {
         return null;
      }
   }
}
